Module
Contents
Index 🔎︎
\<bookmark_value\>Get statement\</bookmark_value\>

# Get Statement

Reads a record from a relative file, or a sequence of bytes from a binary file, into a variable.

See also: PUT Statement

## Syntax:

    Get [#] FileNumber As Integer, [Position], Variable

## Parameters:

\<emph\>FileNumber:\</emph\> Any integer expression that determines the file number.

\<emph\>Position:\</emph\> For files opened in Random mode, \<emph\>Position\</emph\> is the number of the record that you want to read.

For files opened in Binary mode, \<emph\>Position\</emph\> is the byte position in the file where the reading starts.

If \<emph\>Position\</emph\> is omitted, the current position or the current data record of the file is used.

Variable: Name of the variable to be read. With the exception of object variables, you can use any variable type.

## Example:

    Sub ExampleRandomAccess

    Dim iNumber As Integer

    Dim sText As Variant REM Must be a variant

    Dim aFile As String

        aFile = "c:\data.txt"

        iNumber = Freefile

        Open aFile For Random As #iNumber Len=32

        Seek #iNumber,1 REM Position at beginning

        Put #iNumber,, "This is the first line of text" REM Fill line with text

        Put #iNumber,, "This is the second line of text"

        Put #iNumber,, "This is the third line of text"

        Seek #iNumber,2

        Get #iNumber,,sText

        Print sText

        Close #iNumber

        iNumber = Freefile

        Open aFile For Random As #iNumber Len=32

        Get #iNumber,2,sText

        Put #iNumber,,"This is a new text"

        Get #iNumber,1,sText

        Get #iNumber,2,sText

        Put #iNumber,20,"This is the text in record 20"

        Print Lof(#iNumber)

        Close #iNumber

    End Sub